function  CheckTreeConsistency

% Debugging function; makes sure constraints are verified everywhere

global tree;
global epsilon;

n = size(tree,2);

for i = 1:n % for all nodes
    
    c = tree(i); 
  
    
    if c.leaf == 0  % makes sure constraint 1 is satisfied
        nw = tree(c.NW);
        sw = tree(c.SW);
        ne = tree(c.NE);
        se = tree(c.SE);
        if ( abs(c.p-nw.p-sw.p-ne.p-se.p) > epsilon )
            error('Composition rule violated %f',i);
        end
    end
    
end

