function UpdatePos3D(pos,handle,h,sensing)

global tree;
global maxDepth;


figure(handle)

x = tree(pos).xc;
y = tree(pos).yc;
z = (maxDepth+1)*10-tree(pos).depth*10;
set( h(1), 'XData', x, 'YData', y, 'ZData', z);

if sensing
    set( h(2), 'XData', [x x], 'YData', [y y], 'ZData', [0 z],'Color',[1 0 0],'LineWidth',2);
else
    set( h(2), 'XData', [x x], 'YData', [y y], 'ZData', [0 z],'Color',[0 0 1],'LineWidth',0.5);
end
