function MarkNodeCleared(pos)

% Marks this node and all its descendents as cleared
% pos: index of the node to be marked cleared

global tree;

% Mark this node as cleared
tree(pos).cleared = 1;


% Recursively mark this node's descendents, if present, as cleared
if ( ~tree(pos).leaf )
    MarkNodeCleared( tree(pos).NW );
    MarkNodeCleared( tree(pos).NE );
    MarkNodeCleared( tree(pos).SE );
    MarkNodeCleared( tree(pos).SW );
end         % end if(check for leaf)

    
end
